Start Stop Managed Instance Schedules - Create Or Update
Crea o aggiorna la pianificazione di avvio/arresto dell'istanza gestita.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/startStopSchedules/default?api-version=2025-01-01
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
managed
|
path | True |
string |
Nome dell'istanza gestita. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Nome del gruppo di risorse. Il nome è insensibile alle maiuscole e minuscole. |
|
start
|
path | True |
Nome della pianificazione di avvio/arresto dell'istanza gestita. |
|
|
subscription
|
path | True |
string (uuid) |
ID della sottoscrizione di destinazione. Il valore deve essere un UUID. |
|
api-version
|
query | True |
string minLength: 1 |
Versione dell'API da usare per questa operazione. |
Corpo della richiesta
| Nome | Necessario | Tipo | Descrizione |
|---|---|---|---|
| properties.scheduleList | True |
Elenco degli orari. |
|
| properties.description |
string |
Descrizione della pianificazione. |
|
| properties.timeZoneId |
string |
Fuso orario della pianificazione. |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
Risorsa 'StartStopManagedInstanceSchedule' con successo |
|
| 201 Created |
Risorsa 'StartStopManagedInstanceSchedule' crea operazione con successo |
|
| Other Status Codes |
Risposta di errore imprevista. |
Sicurezza
azure_auth
Azure Active Directory OAuth2 Flow.
Tipo:
oauth2
Flow:
implicit
URL di autorizzazione:
https://login.microsoftonline.com/common/oauth2/authorize
Ambiti
| Nome | Descrizione |
|---|---|
| user_impersonation | rappresentare l'account utente |
Esempio
Creates or updates the managed instance's Start/Stop schedule with all optional parameters specified.
Esempio di richiesta
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default?api-version=2025-01-01
{
"properties": {
"description": "This is a schedule for our Dev/Test environment.",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "18:00",
"stopDay": "Thursday",
"stopTime": "17:00"
},
{
"startDay": "Thursday",
"startTime": "15:00",
"stopDay": "Thursday",
"stopTime": "14:00"
}
],
"timeZoneId": "Central European Standard Time"
}
}
Risposta di esempio
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "This is a schedule for our Dev/Test environment.",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "Central European Standard Time"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-27T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "This is a schedule for our Dev/Test environment.",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "Central European Standard Time"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-26T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
Creates or updates the managed instance's Start/Stop schedule with no optional parameters specified.
Esempio di richiesta
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default?api-version=2025-01-01
{
"properties": {
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "18:00",
"stopDay": "Thursday",
"stopTime": "17:00"
},
{
"startDay": "Thursday",
"startTime": "15:00",
"stopDay": "Thursday",
"stopTime": "14:00"
}
]
}
}
Risposta di esempio
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "UTC"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-27T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
{
"name": "default",
"type": "Microsoft.Sql/managedInstances/startStopSchedules",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
"properties": {
"description": "",
"nextExecutionTime": "2021-08-26T14:00:00",
"nextRunAction": "Stop",
"scheduleList": [
{
"startDay": "Thursday",
"startTime": "06:00 PM",
"stopDay": "Thursday",
"stopTime": "05:00 PM"
},
{
"startDay": "Thursday",
"startTime": "03:00 PM",
"stopDay": "Thursday",
"stopTime": "02:00 PM"
}
],
"timeZoneId": "UTC"
},
"systemData": {
"createdAt": "2021-08-26T04:41:33.937Z",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2021-08-26T04:41:33.937Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
Definizioni
| Nome | Descrizione |
|---|---|
|
created |
Tipo di identità che ha creato la risorsa. |
|
Day |
Giorno della finestra di manutenzione. |
|
Error |
Informazioni aggiuntive sull'errore di gestione delle risorse. |
|
Error |
Dettagli dell'errore. |
|
Error |
Risposta di errore |
|
Schedule |
Pianificare le informazioni che descrivono quando il server deve essere avviato o arrestato. |
|
Start |
Pianificazione dell'avvio/arresto dell'istanza gestita. |
|
Start |
|
|
system |
Metadati relativi alla creazione e all'ultima modifica della risorsa. |
createdByType
Tipo di identità che ha creato la risorsa.
| Valore | Descrizione |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DayOfWeek
Giorno della finestra di manutenzione.
| Valore | Descrizione |
|---|---|
| Sunday |
Domenica |
| Monday |
Lunedì |
| Tuesday |
Martedì |
| Wednesday |
Mercoledì |
| Thursday |
Giovedì |
| Friday |
Venerdì |
| Saturday |
Sabato |
ErrorAdditionalInfo
Informazioni aggiuntive sull'errore di gestione delle risorse.
| Nome | Tipo | Descrizione |
|---|---|---|
| info |
object |
Informazioni aggiuntive. |
| type |
string |
Tipo di informazioni aggiuntive. |
ErrorDetail
Dettagli dell'errore.
| Nome | Tipo | Descrizione |
|---|---|---|
| additionalInfo |
Informazioni aggiuntive sull'errore. |
|
| code |
string |
Codice di errore. |
| details |
Dettagli dell'errore. |
|
| message |
string |
Messaggio di errore. |
| target |
string |
Destinazione dell'errore. |
ErrorResponse
Risposta di errore
| Nome | Tipo | Descrizione |
|---|---|---|
| error |
Oggetto error. |
ScheduleItem
Pianificare le informazioni che descrivono quando il server deve essere avviato o arrestato.
| Nome | Tipo | Descrizione |
|---|---|---|
| startDay |
Giorno di inizio. |
|
| startTime |
string |
Ora di inizio. |
| stopDay |
Giorno di stop. |
|
| stopTime |
string |
Fermare il tempo. |
StartStopManagedInstanceSchedule
Pianificazione dell'avvio/arresto dell'istanza gestita.
| Nome | Tipo | Valore predefinito | Descrizione |
|---|---|---|---|
| id |
string (arm-id) |
ID risorsa completo per la risorsa. Ad esempio, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
|
| name |
string |
Nome della risorsa |
|
| properties.description |
string |
Descrizione della pianificazione. |
|
| properties.nextExecutionTime |
string |
Timestamp quando l'azione successiva verrà eseguita nel fuso orario di pianificazione corrispondente. |
|
| properties.nextRunAction |
string |
Azione successiva da eseguire (Avvio o Arresto) |
|
| properties.scheduleList |
Elenco degli orari. |
||
| properties.timeZoneId |
string |
UTC |
Fuso orario della pianificazione. |
| systemData |
Azure Resource Manager metadati contenenti informazioni createBy e modifiedBy. |
||
| type |
string |
Tipo di risorsa. Ad esempio: "Microsoft. Compute/virtualMachines" oppure "Microsoft. Storage/storageAccounts" |
StartStopScheduleName
| Valore | Descrizione |
|---|---|
| default |
default |
systemData
Metadati relativi alla creazione e all'ultima modifica della risorsa.
| Nome | Tipo | Descrizione |
|---|---|---|
| createdAt |
string (date-time) |
Timestamp della creazione della risorsa (UTC). |
| createdBy |
string |
Identità che ha creato la risorsa. |
| createdByType |
Tipo di identità che ha creato la risorsa. |
|
| lastModifiedAt |
string (date-time) |
Il timestamp dell'ultima modifica della risorsa (UTC) |
| lastModifiedBy |
string |
Identità che ha modificato l'ultima volta la risorsa. |
| lastModifiedByType |
Tipo di identità che ha modificato l'ultima volta la risorsa. |